Bug 814235 - [abrt] cmake-gui-2.8.4-1.fc15: __GI_exit: Process /usr/bin/cmake-gui was killed by signal 11 (SIGSEGV)
[abrt] cmake-gui-2.8.4-1.fc15: __GI_exit: Process /usr/bin/cmake-gui was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cmake (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
http://public.kitware.com/Bug/view.ph...
abrt_hash:a691137d913dffc44b1816df132...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 08:39 EDT by abeforu
Modified: 2012-08-07 16:00 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:00:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (25.59 KB, text/plain)
2012-04-19 08:39 EDT, abeforu
no flags Details

  None (edit)
Description abeforu 2012-04-19 08:39:36 EDT
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        cmake-gui
comment:        after closing  CMAKE
component:      cmake
crash_function: __GI_exit
executable:     /usr/bin/cmake-gui
kernel:         2.6.42.12-1.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        cmake-gui-2.8.4-1.fc15
reason:         Process /usr/bin/cmake-gui was killed by signal 11 (SIGSEGV)
time:           Thu Apr 19 15:28:06 2012
uid:            501
username:       john

maps:           Text file, 26201 bytes

backtrace:
:[New LWP 13276]
:[New LWP 13278]
:[Thread debugging using libthread_db enabled]
:Core was generated by `cmake-gui'.
:Program terminated with signal 11, Segmentation fault.
:#0  __GI_getenv (name=0x47c874e0 "LGRIND") at getenv.c:90
:90	getenv.c: No such file or directory.
:	in getenv.c
:
:Thread 2 (Thread 0xb756bb70 (LWP 13278)):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
:No locals.
:#1  0x44aa915e in __GI___poll (fds=0xb6c029c0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = -516
:        result = <optimized out>
:#2  0x44c48aac in g_poll (fds=0xb6c029c0, nfds=1, timeout=-1) at gpoll.c:132
:No locals.
:#3  0x44c39c36 in g_main_context_poll (n_fds=1, fds=0x44ac1f50, priority=<optimized out>, timeout=<optimized out>, context=0x8f80168) at gmain.c:3405
:        poll_func = 0x44c48a80 <g_poll>
:#4  g_main_context_iterate (context=0x8f80168, block=1153731200, dispatch=1, self=0x8f81338) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 1
:        allocated_nfds = <optimized out>
:        fds = 0x44ac1f50
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#5  0x44c3a457 in g_main_loop_run (loop=0x8f80158) at gmain.c:3300
:        self = 0x8f81338
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#6  0x44e66032 in gdbus_shared_thread_func (data=0x0) at gdbusprivate.c:276
:No locals.
:#7  0x44c61535 in g_thread_create_proxy (data=0x8f81338) at gthread.c:1955
:        thread = 0x8f81338
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#8  0x44b99a2e in start_thread (arg=0xb756bb70) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0xb756bb70
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1153081332, 0, 4001536, -1219054632, -1750731725, 1240723412}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#9  0x44ab381e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 1 (Thread 0xb7792780 (LWP 13276)):
:#0  __GI_getenv (name=0x47c874e0 "LGRIND") at getenv.c:90
:        ep_start = <error reading variable ep_start (Cannot access memory at address 0xb139b088)>
:        len = 6
:        ep = 0xb62213a4
:        name_start = 16726
:#1  0x47c7c40e in db_close () at cache.c:236
:No locals.
:#2  0x449c6184 in _dl_fini () at dl-fini.c:245
:        array = 0x47c8a0e0
:        i = <optimized out>
:        nmaps = 118
:        nloaded = <optimized out>
:        i = <optimized out>
:        l = 0x8fa9e08
:        ns = 0
:        maps = 0xbf8d6eb0
:        maps_size = 472
:        do_audit = 0
:#3  0x44a0a741 in __run_exit_handlers (status=0, listp=0x44b61324, run_list_atexit=true) at exit.c:78
:        atfct = <optimized out>
:        onfct = <optimized out>
:        cxafct = <optimized out>
:        f = <optimized out>
:#4  0x44a0a7cd in __GI_exit (status=0) at exit.c:100
:No locals.
:#5  0x449f23fb in __libc_start_main (main=0x80be270 <main(int, char**)>, argc=1, ubp_av=0xbf8d71f4, init=0x8299180 <__libc_csu_init>, fini=0x82991f0 <__libc_csu_fini>, rtld_fini=0x449c5fc0 <_dl_fini>, stack_end=0xbf8d71ec) at libc-start.c:258
:        result = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1152782324, 0, 0, 0, 539153442, 75985364}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x1, 0x80c1044}, data = {prev = 0x0, cleanup = 0x0, canceltype = 1}}}
:        not_first_call = <optimized out>
:#6  0x080c1065 in _start ()
:No symbol table info available.
:From        To          Syms Read   Shared Object Library
:0x4c128a80  0x4c861058  Yes         /usr/lib/libQtGui.so.4
:0x4b9e76a0  0x4bb678e8  Yes         /usr/lib/libQtCore.so.4
:0x44bafa60  0x44bb0a88  Yes         /lib/libdl.so.2
:0x0033a0d0  0x00353718  Yes         ///usr/local/lib/libexpat.so.1
:0x44be1670  0x44bee948  Yes         /lib/libz.so.1
:0x44542300  0x44572c9c  Yes         /usr/lib/libarchive.so.2
:0x444bbcc0  0x444fe6f8  Yes         /usr/lib/libcurl.so.4
:0x4b8f47c0  0x4b967f78  Yes         /usr/lib/libstdc++.so.6
:0x44b6a470  0x44b85b48  Yes         /lib/libm.so.6
:0x4b701f30  0x4b718c48  Yes         /lib/libgcc_s.so.1
:0x449efd10  0x44b0dd94  Yes         /lib/libc.so.6
:0x44b97600  0x44ba2d58  Yes         /lib/libpthread.so.0
:0x44d34f30  0x44d3670c  Yes         /lib/libgthread-2.0.so.0
:0x44bb7880  0x44bbb3a8  Yes         /lib/librt.so.1
:0x44c0a770  0x44ca83dc  Yes         /lib/libglib-2.0.so.0
:0x4ac3a720  0x4ac56cf8  Yes         /usr/lib/libpng12.so.0
:0x450ac480  0x451170a8  Yes         /usr/lib/libfreetype.so.6
:0x44d5dfe0  0x44d9172c  Yes         /lib/libgobject-2.0.so.0
:0x45d51410  0x45d55d5c  Yes         /usr/lib/libSM.so.6
:0x45d5d4e0  0x45d6c3dc  Yes         /usr/lib/libICE.so.6
:0x4b86e780  0x4b8789a8  Yes         /usr/lib/libXi.so.6
:0x4b87f300  0x4b8854fc  Yes         /usr/lib/libXrender.so.1
:0x4b89c150  0x4b8a0ccc  Yes         /usr/lib/libXrandr.so.2
:0x4b8a5ed0  0x4b8a864c  Yes         /usr/lib/libXfixes.so.3
:0x4b88be70  0x4b89135c  Yes         /usr/lib/libXcursor.so.1
:0x4b896780  0x4b89724c  Yes         /usr/lib/libXinerama.so.1
:0x45145010  0x4516066c  Yes         /usr/lib/libfontconfig.so.1
:0x4b85c6b0  0x4b86700c  Yes         /usr/lib/libXext.so.6
:0x4b733310  0x4b7c3fbc  Yes         /usr/lib/libX11.so.6
:0x449b7850  0x449ceccf  Yes         /lib/ld-linux.so.2
:0x45d1f640  0x45d23cec  Yes         /lib/libacl.so.1
:0x45cbcde0  0x45cbf3cc  Yes         /lib/libattr.so.1
:0x45b1dd20  0x45b369fc  Yes         /usr/lib/liblzma.so.5
:0x45b0b000  0x45b1735c  Yes         /lib/libbz2.so.1
:0x4db3dc80  0x4dc28bec  Yes         /usr/lib/libxml2.so.2
:0x44309f00  0x443f2b28  Yes         /lib/libcrypto.so.10
:0x466bad30  0x466bf7ac  Yes         /lib/libidn.so.11
:0x487f3710  0x487fb2dc  Yes         /usr/lib/liblber-2.4.so.2
:0x4880c0f0  0x4883e1fc  Yes         /usr/lib/libldap-2.4.so.2
:0x4b4295e0  0x4b459098  Yes         /lib/libgssapi_krb5.so.2
:0x4b4a3220  0x4b5218e8  Yes         /lib/libkrb5.so.3
:0x4b468c20  0x4b4837d8  Yes         /lib/libk5crypto.so.3
:0x45c8ee30  0x45c8fb7c  Yes         /lib/libcom_err.so.2
:0x47b9aa20  0x47bc1028  Yes         /usr/lib/libssl3.so
:0x47bd7e30  0x47bf2548  Yes         /usr/lib/libsmime3.so
:0x479f44b0  0x47aea018  Yes         /usr/lib/libnss3.so
:0x47b72920  0x47b7ec38  Yes         /usr/lib/libnssutil3.so
:0x47b8fab0  0x47b90b98  Yes         /lib/libplds4.so
:0x47b28e40  0x47b2a7e8  Yes         /lib/libplc4.so
:0x47b378b0  0x47b5b1f8  Yes         /lib/libnspr4.so
:0x44516510  0x44530068  Yes         /usr/lib/libssh2.so.1
:0x45bb8f30  0x45bbab5c  Yes         /lib/libuuid.so.1
:0x44ee3e90  0x44ef37bc  Yes         /usr/lib/libxcb.so.1
:0x44d3d650  0x44d4d6b8  Yes         /lib/libresolv.so.2
:0x48321170  0x48331f2c  Yes         /usr/lib/libsasl2.so.2
:0x4b417d90  0x4b41d2b8  Yes         /lib/libkrb5support.so.0
:0x45cf0860  0x45cf0fdc  Yes         /lib/libkeyutils.so.1
:0x4446af90  0x444a2ad8  Yes         /usr/lib/libssl.so.10
:0x45038a00  0x4503988c  Yes         /usr/lib/libXau.so.6
:0x479b18b0  0x479b6a88  Yes         /lib/libcrypt.so.1
:0x44d17490  0x44d28d9c  Yes         /lib/libselinux.so.1
:0x47960a90  0x47994128  Yes         /lib/libfreebl3.so
:0x006e2430  0x006e3d48  Yes         /usr/lib/gconv/UTF-16.so
:0x463cbf10  0x463e9a6c  Yes         /usr/lib/libgconf-2.so.4
:0x44dcbc50  0x44e8840c  Yes         /lib/libgio-2.0.so.0
:0x44da7bd0  0x44da8d4c  Yes         /lib/libgmodule-2.0.so.0
:0x46357e90  0x4637f9bc  Yes         /usr/lib/libORBit-2.so.0
:0x00f30a70  0x00f37ea8  Yes         /lib/libnss_files.so.2
:0x009b7a30  0x00ca89c8  Yes         /usr/lib/libgtk-x11-2.0.so.0
:0x4b5dc6a0  0x4b646fe8  Yes         /usr/lib/libgdk-x11-2.0.so.0
:0x4ac89670  0x4ac8ec4c  Yes         /usr/lib/libpangocairo-1.0.so.0
:0x4525b530  0x45268bdc  Yes         /usr/lib/libatk-1.0.so.0
:0x4b364170  0x4b3ebb6c  Yes         /usr/lib/libcairo.so.2
:0x4ac659b0  0x4ac7b88c  Yes         /usr/lib/libgdk_pixbuf-2.0.so.0
:0x451e0570  0x451fd94c  Yes         /usr/lib/libpangoft2-1.0.so.0
:0x45214240  0x45235f0c  Yes         /usr/lib/libpango-1.0.so.0
:0x00195880  0x0019640c  Yes         /usr/lib/libXcomposite.so.1
:0x4b99c7c0  0x4b99d1fc  Yes         /usr/lib/libXdamage.so.1
:0x4528d000  0x452f411c  Yes         /usr/lib/libpixman-1.so.0
:0x00855e60  0x008a31ec  Yes         /usr/lib/libgnomeui-2.so.0
:0x0075b270  0x00796b7c  Yes         /usr/lib/libbonoboui-2.so.0
:0x00e4bdc0  0x00e6d97c  Yes         /usr/lib/libgnomecanvas-2.so.0
:0x0019d000  0x001a7b3c  Yes         /usr/lib/libgnome-2.so.0
:0x00635370  0x00647108  Yes         /usr/lib/libart_lgpl_2.so.2
:0x001bd3c0  0x001fa66c  Yes         /usr/lib/libgnomevfs-2.so.0
:0x4649d2f0  0x464af40c  Yes         /usr/lib/libgnome-keyring.so.0
:0x455c23d0  0x455f378c  Yes         /usr/lib/libbonobo-2.so.0
:0x455970e0  0x455a070c  Yes         /usr/lib/libbonobo-activation.so.4
:0x4519a3b0  0x4519fc5c  Yes         /lib/libpopt.so.0
:0x4a271f60  0x4a275b48  Yes         /usr/lib/libgailutil.so.18
:0x47c7c3f0  0x47c864ec  Yes         /usr/lib/libcanberra.so.0
:0x45d30510  0x45d4446c  Yes         /usr/lib/libdbus-glib-1.so.2
:0x453ca6a0  0x453f9cfc  Yes         /lib/libdbus-1.so.3
:0x45583940  0x45584b1c  Yes         /usr/lib/libavahi-glib.so.1
:0x45576550  0x4557c9fc  Yes         /usr/lib/libavahi-common.so.3
:0x45563900  0x4556d72c  Yes         /usr/lib/libavahi-client.so.3
:0x463fca20  0x463fd428  Yes         /lib/libutil.so.1
:0x4604a280  0x4609d61c  Yes         /lib/libgcrypt.so.11
:0x4558ac50  0x4558b9fc  Yes         /usr/lib/libORBitCosNaming-2.so.0
:0x466ee720  0x466f3afc  Yes         /usr/lib/libvorbisfile.so.3
:0x4646d770  0x46483c5c  Yes         /usr/lib/libvorbis.so.0
:0x45d16320  0x45d1906c  Yes         /usr/lib/libogg.so.0
:0x47bfe9b0  0x47c093dc  Yes         /usr/lib/libtdb.so.1
:0x00217a20  0x0021c508  Yes         /usr/lib/libltdl.so.7
:0x45c94630  0x45c94c3c  Yes         /lib/libgpg-error.so.0
:0x0065ca50  0x006830cc  Yes         /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
:0x002210e0  0x00221a6c  Yes         /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
:0x00952720  0x0095492c  Yes         /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
:0x4a263540  0x4a264b3c  Yes         /usr/lib/libcanberra-gtk.so.0
:0x0052d490  0x0054918c  Yes         /usr/lib/gio/modules/libgvfsdbus.so
:0x00229c60  0x0023547c  Yes         /usr/lib/libgvfscommon.so.0
:0x4bfd73b0  0x4bfe0acc  Yes         /lib/libudev.so.0
:0x0023cb80  0x00249f0c  Yes         /usr/lib/gio/modules/libgioremote-volume-monitor.so
:0x0045e810  0x0045ecbc  Yes         /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
:0x4a750750  0x4a778f1c  Yes         /usr/lib/librsvg-2.so.2
:0x41078230  0x4109a60c  Yes         /usr/lib/libcroco-0.6.so.3
:$1 = 0x0
:$2 = 0x0
:eax            0x0	0
:ecx            0x56	86
:edx            0x6	6
:ebx            0x44b60ff4	1152782324
:esp            0xbf8d6e54	0xbf8d6e54
:ebp            0x4156	0x4156
:esi            0xb62213a4	-1239280732
:edi            0xb139b088	-1321619320
:eip            0x44a09df1	0x44a09df1 <__GI_getenv+145>
:eflags         0x210286	[ PF SF IF RF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function __GI_getenv:
:   0x44a09d60 <+0>:	push   %ebp
:   0x44a09d61 <+1>:	push   %edi
:   0x44a09d62 <+2>:	push   %esi
:   0x44a09d63 <+3>:	push   %ebx
:   0x44a09d64 <+4>:	sub    $0x18,%esp
:   0x44a09d67 <+7>:	call   0x44af40d3 <__i686.get_pc_thunk.bx>
:   0x44a09d6c <+12>:	add    $0x157288,%ebx
:   0x44a09d72 <+18>:	mov    0x2c(%esp),%edi
:   0x44a09d76 <+22>:	mov    %edi,(%esp)
:   0x44a09d79 <+25>:	call   0x44a52840 <__strlen_ia32>
:   0x44a09d7e <+30>:	mov    %eax,0x14(%esp)
:   0x44a09d82 <+34>:	mov    -0x58(%ebx),%eax
:   0x44a09d88 <+40>:	mov    (%eax),%esi
:   0x44a09d8a <+42>:	test   %esi,%esi
:   0x44a09d8c <+44>:	je     0x44a09dbe <__GI_getenv+94>
:   0x44a09d8e <+46>:	movzbl (%edi),%ecx
:   0x44a09d91 <+49>:	xor    %eax,%eax
:   0x44a09d93 <+51>:	test   %cl,%cl
:   0x44a09d95 <+53>:	je     0x44a09dc0 <__GI_getenv+96>
:   0x44a09d97 <+55>:	cmpb   $0x0,0x1(%edi)
:   0x44a09d9b <+59>:	jne    0x44a09dc8 <__GI_getenv+104>
:   0x44a09d9d <+61>:	mov    (%esi),%edx
:   0x44a09d9f <+63>:	test   %edx,%edx
:   0x44a09da1 <+65>:	je     0x44a09dc0 <__GI_getenv+96>
:   0x44a09da3 <+67>:	movzbl %cl,%eax
:   0x44a09da6 <+70>:	or     $0x3d,%ah
:   0x44a09da9 <+73>:	cmp    (%edx),%ax
:   0x44a09dac <+76>:	jne    0x44a09db5 <__GI_getenv+85>
:   0x44a09dae <+78>:	jmp    0x44a09e28 <__GI_getenv+200>
:   0x44a09db0 <+80>:	cmp    (%edx),%ax
:   0x44a09db3 <+83>:	je     0x44a09e28 <__GI_getenv+200>
:   0x44a09db5 <+85>:	add    $0x4,%esi
:   0x44a09db8 <+88>:	mov    (%esi),%edx
:   0x44a09dba <+90>:	test   %edx,%edx
:   0x44a09dbc <+92>:	jne    0x44a09db0 <__GI_getenv+80>
:   0x44a09dbe <+94>:	xor    %eax,%eax
:   0x44a09dc0 <+96>:	add    $0x18,%esp
:   0x44a09dc3 <+99>:	pop    %ebx
:   0x44a09dc4 <+100>:	pop    %esi
:   0x44a09dc5 <+101>:	pop    %edi
:   0x44a09dc6 <+102>:	pop    %ebp
:   0x44a09dc7 <+103>:	ret    
:   0x44a09dc8 <+104>:	movzwl (%edi),%ebp
:   0x44a09dcb <+107>:	add    $0x2,%edi
:   0x44a09dce <+110>:	mov    0x14(%esp),%edx
:   0x44a09dd2 <+114>:	mov    %edi,0x10(%esp)
:   0x44a09dd6 <+118>:	mov    (%esi),%edi
:   0x44a09dd8 <+120>:	sub    $0x2,%edx
:   0x44a09ddb <+123>:	test   %edi,%edi
:   0x44a09ddd <+125>:	mov    %edx,0xc(%esp)
:   0x44a09de1 <+129>:	jne    0x44a09df1 <__GI_getenv+145>
:   0x44a09de3 <+131>:	jmp    0x44a09dc0 <__GI_getenv+96>
:   0x44a09de5 <+133>:	lea    0x0(%esi),%esi
:   0x44a09de8 <+136>:	add    $0x4,%esi
:   0x44a09deb <+139>:	mov    (%esi),%edi
:   0x44a09ded <+141>:	test   %edi,%edi
:   0x44a09def <+143>:	je     0x44a09dbe <__GI_getenv+94>
:=> 0x44a09df1 <+145>:	cmp    (%edi),%bp
:   0x44a09df4 <+148>:	jne    0x44a09de8 <__GI_getenv+136>
:   0x44a09df6 <+150>:	mov    0xc(%esp),%edx
:   0x44a09dfa <+154>:	lea    0x2(%edi),%eax
:   0x44a09dfd <+157>:	mov    %eax,(%esp)
:   0x44a09e00 <+160>:	mov    %edx,0x8(%esp)
:   0x44a09e04 <+164>:	mov    0x10(%esp),%edx
:   0x44a09e08 <+168>:	mov    %edx,0x4(%esp)
:   0x44a09e0c <+172>:	call   0x44a590f0 <__strncmp_ia32>
:   0x44a09e11 <+177>:	test   %eax,%eax
:   0x44a09e13 <+179>:	jne    0x44a09de8 <__GI_getenv+136>
:   0x44a09e15 <+181>:	mov    0x14(%esp),%eax
:   0x44a09e19 <+185>:	cmpb   $0x3d,(%edi,%eax,1)
:   0x44a09e1d <+189>:	jne    0x44a09de8 <__GI_getenv+136>
:   0x44a09e1f <+191>:	lea    0x1(%edi,%eax,1),%eax
:   0x44a09e23 <+195>:	jmp    0x44a09dc0 <__GI_getenv+96>
:   0x44a09e25 <+197>:	lea    0x0(%esi),%esi
:   0x44a09e28 <+200>:	add    $0x18,%esp
:   0x44a09e2b <+203>:	pop    %ebx
:   0x44a09e2c <+204>:	lea    0x2(%edx),%eax
:   0x44a09e2f <+207>:	pop    %esi
:   0x44a09e30 <+208>:	pop    %edi
:   0x44a09e31 <+209>:	pop    %ebp
:   0x44a09e32 <+210>:	ret    
:End of assembler dump.

build_ids:
:f74b0c6c04c7794db9f7b1b22f701ae5f2db2d62
:62520e3bf1b3629e9c995d9d67fed0c0c3dbbac5
:f4ac739c0cf005ed0c3c79c974dd9a841344bb38
:9dce02bd28965aa6c033f9510711b14d9edff648
:5b12c6cd59c411f7dd81042e702e2bf9787b21de
:c8a09ed7ed87101eb1084cff6be66e2aac36a96c
:139fcc5ee83d74b17dd8231eb72307d6bdca98ad
:43d6e19d8414e4394ab5a2024a0f627d70561040
:85eb1e2f2f415c3b0ab8961703493850805e07d2
:0c66f47155090aa88fa0174effc38414db016842
:5029025b6ebdfbda731af5f2a0b8cac2b2aecf66
:177452c458dbd4322d2fb524e0ede4fec9020580
:7cde8206ad97ddf378cc9e6843180535983b0efc
:b6015f72036e8a0bac79cbdb23f0de7547534f69
:e18695e040cee33414bc758c8716824d97f1ee7d
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:34d715e2766f8694271730798a4b8e1605ec93ea
:3ce27a17b34ea5d3549cab2f60657a020a508435
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:798697a352bae4178953ba502fb04f33dd0ed987
:582d8210d70baea093349d4e28c0f0659a086715
:a43c4559b00b0a53897782680dc0a8b0176b69ae
:92a9033bbedc303317346dc414914fec5643bd7b
:fe39dd5a2050614d731cbb3af4f01e0448e0d5f8
:64303f846356e78f4b229ee9931765071c34d926
:84b057caeb7f80b34a00c58b3684cc85c66651c3
:c5552bc9c02c518c1cd374a44e9f8a1cdd440c84
:83af5b03d588947b7a3bfbf7473e026b2896c2cb
:6f87ea21308989c674f40d270f35514bbed96401
:37b6ae12c782e78ad8450b2cc126c822a538f9df
:e17b15a2753d4e06d006add1aa7aca91b4f94b70
:e5b5e65a4fac92a0ec5c207931025f62cef65457
:e09af9ba807920069eb82428b505d7807b9237c0
:51c3b43866cbbdfe6ada418014b07b101bbf41a4
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:be2ac807704698d9bbe76bb8f050473c37ad4281
:051b3ad269d8b1e82edab0c8c60c20314591ec48
:e4b2210f476f6edf522420f05e7ca79c762d35d1
:6e5b569d683e29274c7b273d3a3aabdd0b51deb6
:b458cd35c4ffc99719e93e2bb779ca22ff0c0fc3
:4103d5927720eb17d777da1215f7ed6fd45ff6ed
:454dc2e954508cc26620a5f1a3d8e1063bbd236a
:034afcfe2f63a8cbc5a8f0165aaf57d7de4738a8
:00a22974e9d56e0367a89d15a509ef79cb9dc827
:2dc4e4ea515eca25191148452fac07de08443eb8
:b4f8b453c124f1bcf32ee8273b7e7f149202ff68
:31144aec952be9c1a03cf9178c24cfde46a54d6c
:e012145a98558b7d015f3ccf3cacfac44b498980
:489d36bb4386aaccc4bf903c77d4f9b0495789bc
:186a55e4a9e5f2a57a3608bd3ccb7d3dc42b4394
:5486fc219c90bea089ffda1aec3d00cdb8a8f916
:4104e70664651830d4d7bc8cfc3278e06a0d62d0
:bfbaf8d9ff838e6129894100a190c50c865a0bc7
:53470df4459209e6128a25dd0a07b85f80e3d6c9
:a5e13b213aabca2cc68441f4d143da6e3f2e8872
:7fe85d5c2b64f27f69d65b7a05cd400090a6762f
:6504a9d1b1e3d1deb4a19ddbb6b76bd1c749f806
:9d3db34e590021058770f14a0ea3c9d87befc78e
:77944c4dddc1d24e1cb525fb4bf27b7459c98fc2
:5b117178ca6f09e4534ab242a5faa941bc1e3721
:acabfb7a4f1a605c5002be85cea56f7e624be89a
:84720407fce35f3ea6dc9e238bc89ca259959b44
:0e1b7ef03bb6282daeb1f572167cd5c30a30c53a
:5d86d516501190bd56650ce243e9518a192cc4d6
:26883f508da875084090d8220f276dbda913957f
:eaf669142d6d403d74b04952ad7c51d12d53387b
:3bc1c6f1b027d37c5e84a8cd49d1e016140102d4
:8a9eb70c11cf848614f80236c95982b9d183d5c6
:0e6674c11b136a795f0fa8699c683bffe3396d99
:ff72394ee27216c2380a40a6c86ba8474d269c94
:3129a9ad09731aa6dd47add2328ba88bff6d0be4
:af69c0f02cb41bb1705982dc965f627f2508c9a4
:3b4a806344d55d65d92a2fde4c9c4389b17ea848
:07fcedef1f951a847d2662baf33cc75db56632db
:57ddd83e390b80342e80021886f6b0b211ce4697
:c25551e4f8f283ab55cb499112f486009e924d42
:23d1086014ed5544b3df4cee1f95694032252322
:d9076f89ed72d2d074e95e85274befc26d60b8c6
:776ba0ef9292f3e2be2be0becb0f1d9c89db9d89
:49cf2327b1048081857bee3b4eacae80a11c88a4
:55f0338dbb97f9276de6894e9f881baae27cbe56
:9266687f82de9d4916cec2e77018cf6d5ff7f717
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:61cd649f8b0908619d789a94e6ceea50086e2abb
:5a9bdbb0d014b6076a8dd184e99d97cfc68d2882
:a686575deeffac9b73eb1dc3a050f7c4d066ab6f
:631fbf7ae0cc91a027db0a6c1f07e19321b19efb
:7777be72e4df84d03fc195b11b6dc3cd38163c7f
:5351e799204bc5d533754fe7d48f79f3c5daf66b
:f10e60d10dfa08e23f5ccd104814a72b41c72b10
:c86bb3a888c58c6d95fcee6b414283e142f4ed1c
:97845cb2720bca8939ad32f1cab67f27a2c1921f
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:c833d1602084a2aefe852c6c9838a2beea3d2280
:7787b86f9784dc1968f61124e20efb8a82019a56
:418619e33b583ddfe86ae3f49122f96c6ee217db
:bf462861d0ecfa6a42f70b7a92481f99632a979c
:b39ab9c9d4a06af58966b89215004a63a9d061bc
:33baedffcb2cb97d6c27362d561a893ebb9043eb
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:3dc6434da358998cc0bc04aa2f33babaeac6952c
:172e24f337d07bd7c090111a4c1b1085a951ea2f
:6a419f526605a944a096790074579064403f3fb9
:d4ed128ec9cc651b27c63ad325cf95af24ee726f
:0c14e19cfa71be8dbee7582f9b90d4a5b886051e
:94c3da1e3566c757f6b87166fb7416db2dff479f
:8fac7f17ff684db5146149883f36502787ecabe4
:4709482862f00637bedaf5eeda381d3c6ecf2996
:f1102db5ad3e910c60f39d93d0bc06069e921f5c
:15bab279752ad8e30f901abae77bcb1ed1f38977
:349cf0c199fa411fbc3ae5d7ec62ba7c37296b25
:c6b65b640edd8ad6f0d5134b337962ea6e93bae3
:f4990d62b7d0de5bce3f44c487509f32f3f117d7
:872fe6020efffe0829a231da5dd4e51f41a4dce3
:499c2593e24e9f13caaf9158c2e43414448615e7
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:57e358eea7e9a0cdd0ccacc3119b609bed0d8a5c

dso_list:
:/usr/lib/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.17-1.fc15.i686 (Fedora Project) 1329601888
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1329601494
:/usr/lib/libssl.so.1.0.0h openssl-1.0.0h-1.fc15.i686 (Fedora Project) 1334478772
:/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.34.0-2.fc15.i686 (Fedora Project) 1329601360
:/lib/libk5crypto.so.3.1 krb5-libs-1.9.3-1.fc15.i686 (Fedora Project) 1333369105
:/usr/lib/libgnomeui-2.so.0.2400.5 libgnomeui-2.24.5-2.fc15.i686 (Fedora Project) 1305315869
:/lib/libkrb5.so.3.3 krb5-libs-1.9.3-1.fc15.i686 (Fedora Project) 1333369105
:/usr/lib/libgtk-x11-2.0.so.0.2400.7 gtk2-2.24.7-3.fc15.i686 (Fedora Project) 1329601356
:/usr/lib/libarchive.so.2.8.4 libarchive-2.8.4-3.fc15.i686 (Fedora Project) 1305315807
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libgdk-x11-2.0.so.0.2400.7 gtk2-2.24.7-3.fc15.i686 (Fedora Project) 1329601356
:/usr/lib/liblzma.so.5.0.3 xz-libs-5.0.3-1.fc15.i686 (Fedora Project) 1329601334
:/usr/lib/libQtCore.so.4.7.4 qt-1:4.7.4-10.fc15.i686 (Fedora Project) 1329622248
:/usr/lib/libpng12.so.0.48.0 libpng-2:1.2.48-1.fc15.i686 (Fedora Project) 1333368981
:/usr/lib/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.i686 (Fedora Project) 1305315772
:/usr/lib/libavahi-glib.so.1.0.2 avahi-glib-0.6.30-3.fc15.i686 (Fedora Project) 1305315832
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1305315796
:/lib/libnss_files-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331314252
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1305315773
:/lib/librt-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331314252
:/usr/lib/locale/locale-archive glibc-common-2.14.1-6.i686 (Fedora Project) 1331314244
:/usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.28-3.fc15.i686 (Fedora Project) 1305315858
:/lib/libpthread-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331314252
:/lib/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1329601312
:/lib/libkrb5support.so.0.1 krb5-libs-1.9.3-1.fc15.i686 (Fedora Project) 1333369105
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.i686 (Fedora Project) 1305315770
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-18.fc15.i686 (Fedora Project) 1329601365
:/lib/libutil-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331314252
:/usr/lib/libbonobo-2.so.0.0.0 libbonobo-2.32.1-1.fc15.i686 (Fedora Project) 1305315781
:/usr/lib/libgailutil.so.18.0.1 gtk2-2.24.7-3.fc15.i686 (Fedora Project) 1329601356
:/lib/libcrypto.so.1.0.0h openssl-1.0.0h-1.fc15.i686 (Fedora Project) 1334478772
:/lib/libm-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331314252
:/usr/lib/libSM.so.6.0.1 libSM-1.2.0-2.fc15.i686 (Fedora Project) 1305315771
:/lib/libkeyutils-1.2.so keyutils-libs-1.2-7.fc15.i686 (Fedora Project) 1305315774
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.i686 (Fedora Project) 1329601310
:/usr/lib/libbonobo-activation.so.4.0.0 libbonobo-2.32.1-1.fc15.i686 (Fedora Project) 1305315781
:/usr/lib/libnss3.so nss-3.13.3-1.fc15.i686 (Fedora Project) 1332946636
:/usr/lib/libavahi-client.so.3.2.9 avahi-libs-0.6.30-3.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libltdl.so.7.3.0 libtool-ltdl-2.4-9.fc15.i686 (Fedora Project) 1332869220
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1305315771
:/lib/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1329601312
:/usr/lib/libavahi-common.so.3.5.3 avahi-libs-0.6.30-3.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libORBit-2.so.0.1.0 ORBit2-2.14.19-2.fc15.i686 (Fedora Project) 1305315781
:/usr/lib/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libldap-2.4.so.2.6.0 openldap-2.4.24-5.fc15.i686 (Fedora Project) 1329601452
:/usr/lib/gio/modules/libgioremote-volume-monitor.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1329601494
:/lib/libgcrypt.so.11.6.0 libgcrypt-1.4.6-1.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.i686 (Fedora Project) 1305315771
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1305315766
:/usr/lib/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libbonoboui-2.so.0.0.0 libbonoboui-2.24.5-1.fc15.i686 (Fedora Project) 1305315852
:/lib/libplds4.so nspr-4.9-1.fc15.i686 (Fedora Project) 1332946625
:/usr/lib/libcurl.so.4.2.0 libcurl-7.21.3-13.fc15.i686 (Fedora Project) 1329601453
:/lib/libcrypt-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331314252
:/usr/bin/cmake-gui cmake-gui-2.8.4-1.fc15.i686 (Fedora Project) 1331057635
:/usr/lib/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/usr/lib/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.i686 (Fedora Project) 1329601351
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/lib/libpopt.so.0.0.0 popt-1.13-8.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/gconv/gconv-modules.cache glibc-2.14.1-6.i686 (Fedora Project) 1331314252
:/lib/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc15.i686 (Fedora Project) 1332869165
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.i686 (Fedora Project) 1305315796
:/lib/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/liblber-2.4.so.2.6.0 openldap-2.4.24-5.fc15.i686 (Fedora Project) 1329601452
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libgnomevfs-2.so.0.2400.4 gnome-vfs2-2.24.4-5.fc15.i686 (Fedora Project) 1305315836
:/lib/libgpg-error.so.0.7.0 libgpg-error-1.9-2.fc15.i686 (Fedora Project) 1305315771
:/lib/libdl-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331314252
:/usr/lib/libXi.so.6.1.0 libXi-1.4.3-3.fc15.i686 (Fedora Project) 1329601336
:/usr/lib/libgnome-keyring.so.0.1.1 libgnome-keyring-3.0.3-1.fc15.i686 (Fedora Project) 1329601317
:/usr/lib/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libgnome-2.so.0.3200.1 libgnome-2.32.1-2.fc15.i686 (Fedora Project) 1305315837
:/lib/libz.so.1.2.5 zlib-1.2.5-6.fc15.i686 (Fedora Project) 1329601311
:/lib/libplc4.so nspr-4.9-1.fc15.i686 (Fedora Project) 1332946625
:/lib/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1329601312
:/usr/lib/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/usr/lib/libssl3.so nss-3.13.3-1.fc15.i686 (Fedora Project) 1332946636
:/usr/lib/libssh2.so.1.0.1 libssh2-1.2.7-3.fc15.i686 (Fedora Project) 1333482376
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1329601494
:/usr/lib/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.i686 (Fedora Project) 1305315781
:/usr/lib/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc15.i686 (Fedora Project) 1305315858
:/lib/libc-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331314252
:/lib/libidn.so.11.6.2 libidn-1.19-2.fc15.i686 (Fedora Project) 1305315775
:/lib/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1329601312
:/lib/libresolv-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331314252
:/usr/lib/libQtGui.so.4.7.4 qt-x11-1:4.7.4-10.fc15.i686 (Fedora Project) 1329622341
:/lib/libacl.so.1.1.0 libacl-2.2.49-11.fc15.i686 (Fedora Project) 1329601326
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libattr.so.1.1.0 libattr-2.4.44-7.fc15.i686 (Fedora Project) 1305315773
:/lib/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.i686 (Fedora Project) 1329601329
:/usr/lib/libgconf-2.so.4.1.5 GConf2-2.32.3-1.fc15.i686 (Fedora Project) 1305315812
:/usr/lib/libsmime3.so nss-3.13.3-1.fc15.i686 (Fedora Project) 1332946636
:/lib/libnspr4.so nspr-4.9-1.fc15.i686 (Fedora Project) 1332946625
:/lib/ld-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331314252
:/usr/lib/libORBitCosNaming-2.so.0.1.0 ORBit2-2.14.19-2.fc15.i686 (Fedora Project) 1305315781
:/usr/lib/libICE.so.6.3.0 libICE-1.0.6-3.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libnssutil3.so nss-util-3.13.3-1.fc15.i686 (Fedora Project) 1332946632
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.3-2.fc15.i686 (Fedora Project) 1332869167
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.i686 (Fedora Project) 1305315774
:/lib/libfreebl3.so nss-softokn-freebl-3.13.3-1.fc15.i686 (Fedora Project) 1332946634
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.i686 (Fedora Project) 1305315807
:/lib/libbz2.so.1.0.6 bzip2-libs-1.0.6-3.fc15.i686 (Fedora Project) 1305315771
:/lib/libudev.so.0.11.1 libudev-167-6.fc15.i686 (Fedora Project) 1329601325
:/usr/share/fonts/default/Type1/n022003l.pfb urw-fonts-2.4-10.fc15.noarch (Fedora Project) 1305315804
:/lib/libgssapi_krb5.so.2.2 krb5-libs-1.9.3-1.fc15.i686 (Fedora Project) 1333369105
:/usr/lib/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1329601312
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1305315766
:/usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.i686 (Fedora Project) 1305315862
:/usr/lib/gconv/UTF-16.so glibc-2.14.1-6.i686 (Fedora Project) 1331314252
:/usr/lib/libfreetype.so.6.6.2 freetype-2.4.4-7.fc15.i686 (Fedora Project) 1329601310
:/usr/lib/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libart_lgpl_2.so.2.3.21 libart_lgpl-2.3.21-2.fc15.i686 (Fedora Project) 1305315774
:/usr/lib/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.i686 (Fedora Project) 1305315798
:/usr/lib/librsvg-2.so.2.34.0 librsvg2-2.34.0-2.fc15.i686 (Fedora Project) 1329601360
:/usr/lib/libgnomecanvas-2.so.0.3000.3 libgnomecanvas-2.30.3-2.fc15.i686 (Fedora Project) 1305315852
:/usr/lib/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.i686 (Fedora Project) 1305315772

environ:
:XDG_SESSION_ID=1
:HOSTNAME=MQMK-3
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=5f71964370729ccf07d2058900000010-1334754762.809201-798881538
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-m95wsL
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=john
:USERNAME=john
:MAIL=/var/spool/mail/john
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/john/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/john
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1358
:LANG=en_US.UTF-8
:GDM_LANG=
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/john
:SHLVL=1
:LOGNAME=john
:QTLIB=/usr/lib/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Nr48AAki1U,guid=b7f02436f2777c0c123c7f1b0000004f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/john
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-john-yeqE51/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1366,unix/unix:/tmp/.ICE-unix/1366
:ORBIT_SOCKETDIR=/tmp/orbit-john
:SSH_AUTH_SOCK=/tmp/keyring-m95wsL/ssh
:GPG_AGENT_INFO=/tmp/keyring-m95wsL/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1573-MQMK-3-cmake-gui-8_TIME31449439
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/CMake.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=13276

var_log_messages:
:Apr 18 02:34:05 MQMK-3 kernel: [24989.740917] cmake-gui[6624]: segfault at b232b8f0 ip 44a09df1 sp bffa0334 error 4 in libc-2.14.1.so[449d9000+185000]
:Apr 18 02:34:06 MQMK-3 abrt[16951]: saved core dump of pid 6624 (/usr/bin/cmake-gui) to /var/spool/abrt/ccpp-2012-04-18-02:34:05-6624.new/coredump (50122752 bytes)
:Apr 19 15:28:06 MQMK-3 kernel: [58373.882369] cmake-gui[13276]: segfault at b139b088 ip 44a09df1 sp bf8d6e54 error 4 in libc-2.14.1.so[449d9000+185000]
:Apr 19 15:28:06 MQMK-3 abrt[3648]: saved core dump of pid 13276 (/usr/bin/cmake-gui) to /var/spool/abrt/ccpp-2012-04-19-15:28:06-13276.new/coredump (49700864 bytes)

xsession_errors:
:Window manager warning: Invalid WM_TRANSIENT_FOR window 0x280000f specified for 0x2800752 (cmake-gui).
:Window manager warning: Invalid WM_TRANSIENT_FOR window 0x280000f specified for 0x2801724 (cmake-gui).
:Window manager warning: Invalid WM_TRANSIENT_FOR window 0x280000f specified for 0x2803f99 (cmake-gui).
:Window manager warning: Invalid WM_TRANSIENT_FOR window 0x1c0000f specified for 0x1c00d5a (cmake-gui).
Comment 1 abeforu 2012-04-19 08:39:51 EDT
Created attachment 578634 [details]
File: maps
Comment 2 abeforu 2012-04-19 08:43:11 EDT
Package: cmake-gui-2.8.4-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
not so sure. But I was working on CMAKE
Comment 3 abeforu 2012-04-19 08:46:29 EDT
I did lock my screen for an hour or so and then came back to work. then the error occurred.
Comment 4 Orion Poplawski 2012-04-19 10:50:19 EDT
Re-assigning to glibc for input since it appears to be happening in the guts of exit handling and I have no idea how to see what in the cmake/Qt code might be triggering this if anything.
Comment 5 Jeff Law 2012-04-19 15:36:05 EDT
I'm pretty sure this is a race condition; getenv/setenv are not multi-thread safe and their use (directly or indirectly) in multi-threaded applications has caused numerous reports of this nature.

We already know this is a application with 2 threads. One of them is inside getenv, but someone with more knowledge of the other libraries in use would need to audit them for uses of setenv/unsetenv.  Obviously the other thread may have called setenv and returned so it's not showing up in the stack trace.

Reassigning back to cmake for now...  You can find good context on this issue:

https://bugzilla.gnome.org/show_bug.cgi?id=659326

A google serach for __GI_getenv will show up numerous bugs which all appear to be distinct instances of this problem.
Comment 6 Orion Poplawski 2012-04-19 16:16:56 EDT
Jeff -

  The one thing that seemed confusing to me was that the genenv call was from __GI_exit/__run_exit_handlers.  Does that get called during normal operation?  I made the assumption that is was during application exit.

Reporter -

  Did the crash occur on exit of cmake-gui, or where you performing an operation?
Comment 7 Jeff Law 2012-04-19 19:28:03 EDT
It seems to be on the exit path, which is unfortunate as it means that there's an inherent race in any multi-threaded application where one thread might be exiting while another is inside putenv/clearenv.

I don't see a way to know why one thread from cmake-gui was on the exit path from the data in this BZ; it might be a normal part of its operation.

It'd also be good to comfirm that cmake-gui has a path where it is calling putenv/clearenv.  Based on the backtrace and the striking similarities to other reports I'm pretty sure it's the same core issue, but obviously we won't know for sure until we can confirm there's a way to have one thread exiting while another is in putenv/clearenv within cmake-gui.
Comment 8 Jeff Law 2012-04-20 01:37:59 EDT
Just wandering the cmake sources shows a fair amount of mucking around with the environment.    That's considered fundamentally unsafe in a multi-threaded application.  Any changes to the environment need to occur before any threads are created.
Comment 9 Orion Poplawski 2012-04-20 10:53:01 EDT
Filed upstream
Comment 10 abeforu 2012-04-21 14:08:25 EDT
Package: cmake-gui-2.8.4-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
after closing  CMAKE
Comment 11 Fedora End Of Life 2012-08-07 16:00:42 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.